Subject: Re: Is detecting endianness at compile-time unworkable?

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 01 Aug 2018 09:31:09 +0200

On Tue, Jul 31 2018, Michael Felt wrote:

> For AIX: again - the determination is simple. If _AIX is set to 1 then
> use BigEndian, or, use:
> michael@x071:[/home/michael]uname
> AIX
> i.e., something like:
> $(uname) == "AIX" && BigEndian=1

In lieu of some "let's test this with a compile-test" solution, that
seems like a viable way forward for now. Can you please test the merge
request I have at
https://github.com/cr-marcstevens/sha1collisiondetection/pull/45 by
manually applying that change to the relevant file in sha1dc/ and
building/testing git on AIX?

It should work, but as noted in the MR please test it so we can make
sure, and then (if you have a GitHub account) comment on the MR saying
it works for you.